%define name sylpheed
%define version 0.6.1
%define release 1mdk
%define prefix %{_prefix}

Summary: A GTK+ based, lightweight, and fast e-mail client
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Source1: sylpheed_16.xpm
Source2: sylpheed_32.xpm
Source3: sylpheed_48.xpm
License: GPL
URL: http://sylpheed.good-day.net/
Requires: gtk+ >= 1.2.6
Group: Networking/Mail
Buildroot: %{_tmppath}/%{name}-buildroot

%description
This program is an X based fast e-mail client which has features
(or go for it :-)) like:
	o user-friendly and intuitive interface
	o integrated NetNews client (partially implemented)
	o ability of keyboard-only operation
	o Mew/Wanderlust-like key bind
	o multipart MIME
	o built-in image view
	o external editor support
	o unlimited multiple account handling
	o message queueing
	o filtering
	o XML-based address book
See 'README' for more information.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%configure

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/sylpheed"\
icon="%{name}.xpm"\
title="Sylpheed"\
longtitle="A fast GTK+ based Mail client"\
needs="x11"\
section="Networking/Mail"
EOF
)

install -d %buildroot/%_miconsdir
install -d %buildroot/%_liconsdir
install -d %buildroot/%_iconsdir

install -m644 %{SOURCE1} %buildroot/%_miconsdir/%name.xpm
install -m644 %{SOURCE2} %buildroot/%_iconsdir/%name.xpm
install -m644 %{SOURCE3} %buildroot/%_liconsdir/%name.xpm
 
%{find_lang} %{name}
 
%post
%update_menus
 
%postun
%clean_menus  

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog ChangeLog.jp README README.jp INSTALL INSTALL.jp TODO.jp
%{_bindir}/*
%{_datadir}/sylpheed/manual/*/*
%{_menudir}/*
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm

%changelog
* Mon Sep 03 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.6.1-1mdk
- updated to 0.6.1

* Fri Aug 30 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.6.0-1mdk
- upgraded to 0.6.0 (SSL support is added)

* Tue Aug 21 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.5.3-1mdk
- updated to 0.5.3

* Thu Jul 24 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.5.1-1mdk
- updated to 0.5.1, icons added.

* Fri Jul  6 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.5.0-1mdk
- updated to 0.5.0 final

* Wed Jun 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0pre2-1mdk
- updated by James Segarra <jim@segarra.org>

* Mon Jun 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.66-1mdk
- updated to 0.4.66 by James Segarra <jim@segarra.org>

* Thu May 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.65-1mdk
- updated to 0.4.65

* Thu Apr 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.64-1mdk
- updated to 0.4.64

* Tue Apr 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.63-1mdk
- updated to 0.4.63

* Mon Mar 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.62-1mdk
- updated to 0.4.62

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.61-1mdk
- updated to 0.4.61

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.60-1mdk
- updated to 0.4.60

* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.51-1mdk 
- devel version 0.4.51

* Mon Dec 18 2000  Lenny Cartier <lenny@mandrakesoft.com> 0.4.9-1mdk
- updated to 0.4.9
- updated locales

* Sat Dec 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-1mdk
- updated to 0.4.7

* Thu Nov 23 2000  Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- updated to 0.4.5

* Tue Nov 7 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.4-2mdk
- remove useless changelog

* Tue Nov 7 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.4-1mdk
- new in contribs
